=== filters/stage/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/filters/words/libexport ${KOMAIN_INCLUDES}  ${KOTEXT_INCLUDES})

MESSAGE(STATUS "KPresenter: still need to port svg, genericimageexport, words, ooimporss, magicpoint, kpr and ooppt filters")
#add_subdirectory( svg )
#add_subdirectory( genericimageexport )
#add_subdirectory( words )
#add_subdirectory( ooimpress )
add_subdirectory( powerpoint )
#add_subdirectory( magicpoint )
#add_subdirectory(kpr)
add_subdirectory( kpr2odf )
#add_subdirectory( ooppt )
add_subdirectory( pptx )
